<h1 class="mt-5">Selectores anidados</h1>
<hr>

<form [formGroup]="miFormulario" (ngSubmit)="guardar()">
    <!-- Continente -->
    <div class="row mb-3">
        <div class="col">
            <label class="form-label">Continente:</label>
            <select name="" id="" class="form-control" formControlName="region">
                <option value="">-- Seleccione Continente --</option>
                <option *ngFor="let item of regiones" [value]="item | lowercase">{{item}}</option>
            </select>
        </div>
    </div>
    <!-- Pais -->
    <div class="row mb-3" *ngIf="paises.length > 0">
        <div class="col">
            <label class="form-label">Pais:</label>
            <select name="" id="" class="form-control" formControlName="pais">
                <option value="">-- Seleccione Pais --</option>
                <option *ngFor="let item of paises" [value]="item.cca3">{{item.name.common}}</option>
            </select>
        </div>
    </div>
    <!-- Frontera -->
    <div class="row mb-3" *ngIf="fronteras.length > 0">
        <div class="col">
            <label class="form-label">Frontera:</label>
            <select name="" id="" class="form-control" formControlName="frontera">
                <option value="">-- Seleccione Frontera --</option>
                <option *ngFor="let item of fronteras" [value]="item.cca3">{{item.name.common}}</option>
            </select>
        </div>
    </div>

    <div class="row" *ngIf="cargando">
        <div class="col">
            <div class="alert alert-primary">
                Cargando...
            </div>
        </div>
    </div>

    <div class="row">
        <div class="col">
            <button class="btn btn-primary float-end" type="submit">Seleccionar</button>
        </div>
    </div>
</form>

<div class="mt-5">
    
    <h5>Valid</h5>
    <pre>{{miFormulario.valid}}</pre>
    <h5>Value</h5>
    <pre>{{miFormulario.value | json}}</pre>

</div>